/* Community Level Styles */

:root {
    --hpt-bg-img-opacity: 0.075;
    --hp-fp-repeatable-pattern-opacity: 0.035;
    --parallax-two-bg-pattern-opacity: 0.3;
    --hpt-two-pattern-opacity: 0.35;
    
    --accent-color-base: var(--primary-base);
    --accent-color-base-alt: var(--primary-base-alt);
}

/*PATTERNS*/
.hpt-repeatable-bg-img,
.homepage-featured-floorplans-section .fp-repeatable-bg,
.pet-section .pets-repeatable-pattern,
.intro-text-section .amenities-bg-accent-img,
.amenity-section-1 .amenities-bg-accent-img,
.amenities-section-container .bg-pattern-wrapper .pattern {
    background-size: 150px;
}

.hpt-section-two .top .repeatable-bg {
    background-size: 500px; 
}

.intro-text-section .amenities-bg-accent-img,
.amenity-section-1 .amenities-bg-accent-img {
    opacity: .1;
}

.amenities-section-container .bg-pattern-wrapper .pattern {
    opacity: .05;
}


/*BEFORE/AFTER LOGO ICON*/
section#homepage_featured_floorplans_section:before {
    content: " ";
    display: inline-block;
    position: absolute;
    left: 3%;
    top: 3%;
    height: 200px;
    width: 200px;
    background-image: url(/gridmedia/img/logo-icon.svg);
    background-size: cover;
    opacity: .2;
    z-index: 10;
    
    @media screen and (min-width: 1024px) {
        height: 413px;
        width: 440px;
        opacity: .4;
    }
}

.contact-info-wrapper:after {
    content: " ";
    display: inline-block;
    position: absolute;
    left: 30%;
    bottom: 0;
    height: 150px;
    width: 150px;
    background-image: url(/gridmedia/img/logo-icon.svg);
    background-size: cover;
    opacity: .2;
    z-index: 10;
    
    @media screen and (min-width: 1024px) {
        left: 3%;
        bottom: 3%;
        height: 390px;
        width: 415px;
        opacity: .4;
    }
}

@media screen and (min-width: 1024px) {
    section#amenities_section:before {
        content: " ";
        display: inline-block;
        position: absolute;
        right: 5%;
        top: 28px;
        height: 375px;
        width: 328px;
        background-image: url(/gridmedia/img/logo-icon.svg);
        background-size: cover;
        opacity: .5;
        z-index: 15;
    }
    
    .pets-accent-bg:before {
        content: " ";
        display: inline-block;
        position: absolute;
        right: 3%;
        bottom: 3%;
        height: 245px;
        width: 214px;
        background-image: url(/gridmedia/img/logo-icon.svg);
        background-size: cover;
        opacity: .5;
        z-index: 0;
    }
}

section#homepage_featured_floorplans_section:before {
    content: " ";
    display: inline-block;
    position: absolute;
    left: 3%;
    top: 3%;
    height: 200px;
    width: 200px;
    background-image: url(/gridmedia/img/logo-icon.svg);
    background-size: cover;
    opacity: .2;
    z-index: 10;
    
    @media screen and (min-width: 1024px) {
        height: 431px;
        width: 375px;
        opacity: .4;
    }
}

.contact-info-wrapper:after {
    content: " ";
    display: inline-block;
    position: absolute;
    left: 30%;
    bottom: 0;
    height: 150px;
    width: 150px;
    background-image: url(/gridmedia/img/logo-icon.svg);
    background-size: cover;
    opacity: .2;
    z-index: 10;
    
    @media screen and (min-width: 1024px) {
        left: 3%;
        bottom: 3%;
        height: 390px;
        width: 415px;
        opacity: .4;
    }
}

.contact-info-wrapper::after {
    @media screen and (min-width: 1024px) {
        left: 3%;
        width: 414px;
        height: 390px;
        width: 340px;
        opacity: .2;
    }
}

/* home page */
@media screen and (min-width: 768px) {
    .transparent-nav .top-bar {
        background: #000000;
    }
    
    .transparent-nav .logo-bar {
        top: calc(var(--topbar-min-height) + 10px);
    }
    
    section#hp_intro {
        padding-top: var(--topbar-min-height);
        height: 58vw;
    }
}

@media only screen and (min-width: 1200px) {
    .hpt-section-two {
        height: clamp(575px,90vh,1250px);
    }
}

.hp-intro .hp-slideshow:before {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0.79) 1%, rgba(0, 0, 0, 0) 100%);
    opacity: 1;
    height: 25%;
}

.hero-image:before {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0.79) 1%, rgba(0, 0, 0, 0) 100%);
    opacity: 1;
    height: 30%;
}

.hero-image .over-image-header {
    bottom-padding: 0;
    text-shadow: 0 0 10px #00000050;
    font-weight: 500;
}

.hp-intro .hero-text-container .hero-btn {
    color: var(--accent-color-base);
    border: 2px solid transparent;
    background-color: var(--accent-color-base-alt);
}

.hp-intro .hero-text-container .hero-btn:hover {
    border-color: var(--accent-color-base-alt);
}

.hp-intro .hero-text-container .hero-btn:before {
    background-color: #000000;
}

.hp-intro .hero-text-container .hero-btn:hover:before {
    opacity: 0.35;
}

/*NEIGHBORHOOD*/
#apply_section h2,
#apply_section h3 {
    color: var(--primary-base-alt);
}

/*FOOTER*/
.footer .footer-bottom .footer-svg-accent .st0 *, .footer .footer-bottom .footer-svg-accent svg * {
    fill: var(--primary-base);
}

.footer .footer-bottom,
.copyright-wrapper,
.copyright-wrapper .eho-ada-wrapper {
    background: var(--primary-base);
}

/* gallery */
#community_heading {
    visibility: hidden;
    max-height: 0;
}

.gallery-page .gallery-intro-headline {
    display: none;
}